hpp-python: pyhpp::core::RWrapper Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
pyhpp::core::RWrapper Struct Reference

## Static Public Member Functions
static void | addNodeAndEdges (Roadmap &roadmap, const ConfigurationIn_t from, ConfigurationIn_t to, const PathPtr_t path)
static ConnectedComponentPtr_t | connectedComponentOfNode (Roadmap &roadmap, const ConfigurationIn_t q)
static void | addNodeAndEdge (Roadmap &roadmap, const ConfigurationIn_t from, ConfigurationIn_t to, const PathPtr_t path)
static void | addNode (Roadmap &roadmap, const ConfigurationIn_t config)
static void | addEdge (Roadmap &roadmap, const ConfigurationIn_t from, ConfigurationIn_t to, const PathPtr_t &path)
static void | addEdge2 (Roadmap &roadmap, const ConfigurationIn_t from, ConfigurationIn_t to, const PathPtr_t &path, bool bothEdges)
static boost::python::tuple | nearestNode1 (Roadmap &roadmap, ConfigurationIn_t configuration, bool reverse)
static boost::python::tuple | nearestNode2 (Roadmap &roadmap, ConfigurationIn_t configuration)
static boost::python::tuple | nearestNode3 (Roadmap &roadmap, ConfigurationIn_t configuration, const ConnectedComponentPtr_t &connectedComponent, bool reverse)
static boost::python::tuple | nearestNode4 (Roadmap &roadmap, ConfigurationIn_t configuration, const ConnectedComponentPtr_t &connectedComponent)
static Nodes_t | nearestNodes1 (Roadmap &roadmap, ConfigurationIn_t configuration, size_type k)
static Nodes_t | nearestNodes2 (Roadmap &roadmap, ConfigurationIn_t configuration, const ConnectedComponentPtr_t &connectedComponent, size_type k)
static void | initNode1 (Roadmap &roadmap, ConfigurationIn_t configuration)
static NodePtr_t | initNode2 (Roadmap &roadmap)
static int | numberConnectedComponents (Roadmap &roadmap)
static ConnectedComponentPtr_t | getConnectedComponent (Roadmap &roadmap, int connectedComponentId)
static boost::python::list | connectedComponents (Roadmap &roadmap)
static boost::python::list | nodes (Roadmap &roadmap)
static boost::python::list | nodesConnectedComponent (Roadmap &roadmap, int connectedComponentId)

## Member Function Documentation

## ◆ addEdge()

static void pyhpp::core::RWrapper::addEdge | ( | Roadmap & | roadmap,
|  | const ConfigurationIn_t | from,
|  | ConfigurationIn_t | to,
|  | const PathPtr_t & | path
| ) |  |
| inlinestatic

## ◆ addEdge2()

static void pyhpp::core::RWrapper::addEdge2 | ( | Roadmap & | roadmap,
|  | const ConfigurationIn_t | from,
|  | ConfigurationIn_t | to,
|  | const PathPtr_t & | path,
|  | bool | bothEdges
| ) |  |
| inlinestatic

## ◆ addNode()

static void pyhpp::core::RWrapper::addNode | ( | Roadmap & | roadmap,
|  | const ConfigurationIn_t | config
| ) |  |
| inlinestatic

## ◆ addNodeAndEdge()

static void pyhpp::core::RWrapper::addNodeAndEdge | ( | Roadmap & | roadmap,
|  | const ConfigurationIn_t | from,
|  | ConfigurationIn_t | to,
|  | const PathPtr_t | path
| ) |  |
| inlinestatic

## ◆ addNodeAndEdges()

static void pyhpp::core::RWrapper::addNodeAndEdges | ( | Roadmap & | roadmap,
|  | const ConfigurationIn_t | from,
|  | ConfigurationIn_t | to,
|  | const PathPtr_t | path
| ) |  |
| inlinestatic

## ◆ connectedComponentOfNode()

static ConnectedComponentPtr_t pyhpp::core::RWrapper::connectedComponentOfNode | ( | Roadmap & | roadmap,
|  | const ConfigurationIn_t | q
| ) |  |
| inlinestatic

## ◆ connectedComponents()

static boost::python::list pyhpp::core::RWrapper::connectedComponents | ( | Roadmap & | roadmap | ) |
| inlinestatic

## ◆ getConnectedComponent()

static ConnectedComponentPtr_t pyhpp::core::RWrapper::getConnectedComponent | ( | Roadmap & | roadmap,
|  | int | connectedComponentId
| ) |  |
| inlinestatic

## ◆ initNode1()

static void pyhpp::core::RWrapper::initNode1 | ( | Roadmap & | roadmap,
|  | ConfigurationIn_t | configuration
| ) |  |
| inlinestatic

## ◆ initNode2()

static NodePtr_t pyhpp::core::RWrapper::initNode2 | ( | Roadmap & | roadmap | ) |
| inlinestatic

## ◆ nearestNode1()

static boost::python::tuple pyhpp::core::RWrapper::nearestNode1 | ( | Roadmap & | roadmap,
|  | ConfigurationIn_t | configuration,
|  | bool | reverse
| ) |  |
| inlinestatic

## ◆ nearestNode2()

static boost::python::tuple pyhpp::core::RWrapper::nearestNode2 | ( | Roadmap & | roadmap,
|  | ConfigurationIn_t | configuration
| ) |  |
| inlinestatic

## ◆ nearestNode3()

static boost::python::tuple pyhpp::core::RWrapper::nearestNode3 | ( | Roadmap & | roadmap,
|  | ConfigurationIn_t | configuration,
|  | const ConnectedComponentPtr_t & | connectedComponent,
|  | bool | reverse
| ) |  |
| inlinestatic

## ◆ nearestNode4()

static boost::python::tuple pyhpp::core::RWrapper::nearestNode4 | ( | Roadmap & | roadmap,
|  | ConfigurationIn_t | configuration,
|  | const ConnectedComponentPtr_t & | connectedComponent
| ) |  |
| inlinestatic

## ◆ nearestNodes1()

static Nodes_t pyhpp::core::RWrapper::nearestNodes1 | ( | Roadmap & | roadmap,
|  | ConfigurationIn_t | configuration,
|  | size_type | k
| ) |  |
| inlinestatic

## ◆ nearestNodes2()

static Nodes_t pyhpp::core::RWrapper::nearestNodes2 | ( | Roadmap & | roadmap,
|  | ConfigurationIn_t | configuration,
|  | const ConnectedComponentPtr_t & | connectedComponent,
|  | size_type | k
| ) |  |
| inlinestatic

## ◆ nodes()

static boost::python::list pyhpp::core::RWrapper::nodes | ( | Roadmap & | roadmap | ) |
| inlinestatic

## ◆ nodesConnectedComponent()

static boost::python::list pyhpp::core::RWrapper::nodesConnectedComponent | ( | Roadmap & | roadmap,
|  | int | connectedComponentId
| ) |  |
| inlinestatic

## ◆ numberConnectedComponents()

static int pyhpp::core::RWrapper::numberConnectedComponents | ( | Roadmap & | roadmap | ) |
| inlinestatic

The documentation for this struct was generated from the following file:

- src/pyhpp/core/roadmap.cc